import { IContextMenu } from '@rign/angular2-tree';
import { IFileTypeFilter } from '../toolbar/interface/IFileTypeFilter';
import { ICropSize } from '../crop/ICropSize';
import { IFileManagerConfiguration } from './IFileManagerConfiguration';
import { IFilemanagerTranslation } from '../interfaces/filemanager-translation.interface';
export declare class FileManagerConfiguration {
    filemanagerTranslations: IFilemanagerTranslation;
    allowedCropSize: ICropSize[];
    contextMenuItems: IContextMenu[];
    fileTypesFilter: IFileTypeFilter[];
    folderUrls: {
        foldersUrl: string;
        folderMoveUrl: string;
    };
    fileUrl: string;
    isMultiSelection: boolean;
    maxFileSize: number;
    mimeTypes: string[] | null;
    allowChooseMultipleFiles: boolean;
    constructor(configuration: IFileManagerConfiguration, filemanagerTranslations: IFilemanagerTranslation);
}
