import { ExtendedFileUploader } from '../services/extendedFileUplaoder.service';
import { IFileManagerConfiguration } from '../configuration/IFileManagerConfiguration';
import { FilemanagerNotifications } from '../services/FilemanagerNotifications';
export declare class FileManagerUploader {
    uploader: ExtendedFileUploader;
    constructor(configuration: IFileManagerConfiguration, filemanagerNotification: FilemanagerNotifications);
    clear(): void;
    getDefaultOptions(): {};
    setAuthorizationToken(token: string): void;
    setDirectoryId(directoryId: string | number): FileManagerUploader;
}
